centos5.5编译phpize安装pcntl模块

| | 2012/07/08 09:20 , mdy
Linux 服务器 , 评论(0) , 阅读(3249) , Via 本站原创
Tags: , ,
由于之前是使用yum安装php的,默认没有安装pcntl,于是参考网上资料,费了一番周折
终于安装好了
记录一下

看一下自己的php版本到www.php.net下载相应版本
解压后进入 php-(version)/ext/pcntl

生成configure编译文件

结果提示
configure: error: no acceptable C compiler found in $PATH
原来是没有安装gcc

出现类似如下提示说明编译成功了
“Installing shared extensions: /usr/bin/…”

修改配置文件

将里面的 gd.so 替换成 pcntl.so保存
重载apache